### Method

# Gio File query_default_handler

#### Declaration

    GAppInfo*
    g_file_query_default_handler (
      GFile* file,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Returns the `GAppInfo` that is registered as the default application to handle the file specified by `file`.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GAppInfo`

A `GAppInfo` if the handle was found, `NULL` if there were errors. When you are done with it, release it with `g_object_unref()`

The caller of the method takes ownership of the data, and is responsible for freeing it.